Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.engines
Class AESWrapEngine

    java.lang.Object
      |
      +--org.bouncycastle.crypto.engines.AESWrapEngine

All Implemented Interfaces:
  Wrapper

public class AESWrapEngine
extends java.lang.Object
implements Wrapper

an implementation of the AES Key Wrapper from the NIST Key Wrap Specification.

For further details see: http://csrc.nist.gov/encryption/kms/key-wrap.pdf.

Constructor Summary
`AESWrapEngine()`

Method Summary
`java.lang.String` | `getAlgorithmName()` Return the name of the algorithm the wrapper implements.
`void` | `init(boolean forWrapping, CipherParameters param)`
`byte[]` | `unwrap(byte[] in, int inOff, int inLen)`
`byte[]` | `wrap(byte[] in, int inOff, int inLen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AESWrapEngine

    public AESWrapEngine()

Method Detail

### init

    public void init(boolean forWrapping,
                     CipherParameters param)

  Specified by:
    `init` in interface `Wrapper`

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Wrapper`
  Return the name of the algorithm the wrapper implements.
  Specified by:
    `getAlgorithmName` in interface `Wrapper`
  Following copied from interface: `org.bouncycastle.crypto.Wrapper`
  Returns:
    the name of the algorithm the wrapper implements.

### wrap

    public byte[] wrap(byte[] in,
                       int inOff,
                       int inLen)

  Specified by:
    `wrap` in interface `Wrapper`

### unwrap

    public byte[] unwrap(byte[] in,
                         int inOff,
                         int inLen)
                  throws InvalidCipherTextException

  Specified by:
    `unwrap` in interface `Wrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD